Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## modelling
Class ObstacleBox

    java.lang.Object
      sema.Box
          modelling.ObstacleBox

public class ObstacleBox
extends Box

Box impossible to run on when checking for collisions.

Field Summary

Fields inherited from class sema.Box
`g, image, map, x, y`

Constructor Summary
`ObstacleBox(Map map, Drawing drawing, int x, int y, float height, java.lang.String kind, java.awt.Image image)`

Method Summary
`void` | `draw()` Draws the `Box`.
`boolean` | `isFreeFor(Element e)` Determinate whether the `Box` can host the `Element`.

Methods inherited from class sema.Box
`drawBorder, fill, getContents, getHeight, getIcon, getImage, getKind, getProperties, highlight, highlight, register, setProperties, unregister`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ObstacleBox

    public ObstacleBox(Map map,
                       Drawing drawing,
                       int x,
                       int y,
                       float height,
                       java.lang.String kind,
                       java.awt.Image image)

Method Detail

### isFreeFor

    public boolean isFreeFor(Element e)

  Description copied from class: `Box`
  Determinate whether the `Box` can host the `Element`. Very useful to design obstacles or restricted areas. However, some special agents could ignore the advice of the box.

  Overrides:
    `isFreeFor` in class `Box`
  Parameters:
    `e` - the element to host.
  Returns:
    whether the `Box` can host the `Element`.

### draw

    public void draw()

  Draws the `Box`. if the image is set it draw the image.

  Overrides:
    `draw` in class `Box`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD